> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Group Plan List

> Get a list of plans for a group



## OpenAPI

````yaml GET /api/v1/groups/{group_id}/plans
openapi: 3.0.1
info:
  description: Policy management APIs for health and ancillary insurance
  title: Noyo Fulfillment API
  version: 1.0.0
servers:
  - description: Noyo Fulfillment API - Live
    url: https://fulfillment.noyo.com
  - description: Noyo Fulfillment API - Sandbox
    url: https://fulfillment-sandbox.noyo.com
security: []
paths:
  /api/v1/groups/{group_id}/plans:
    get:
      tags:
        - Group Plans & Enrollment
      summary: Get a list of all Group Plans
      description: Returns a list of all plans for a given group.
      operationId: getGroupPlanList
      parameters:
        - description: >-
            The unique identifier of the group for which you would like to view
            plans
          in: path
          name: group_id
          required: true
          schema:
            example: 31559b4b-e45a-4df8-84f6-2220d7ed0c3a
            format: uuid
            type: string
        - description: Status of the group plans for which you would like to filter
          in: query
          name: status
          required: false
          schema:
            type: string
        - description: >-
            Line of coverage of the group plans for which you would like to
            filter
          in: query
          name: line_of_coverage
          required: false
          schema:
            type: string
        - description: >-
            The unique identifier of the carrier of the group plans for which
            you would like to filter
          in: query
          name: carrier_id
          required: false
          schema:
            example: 2613a221-d3c8-4c8a-86d5-e7e885fd1da9
            format: uuid
            type: string
        - description: The relative date on which to view the state of the record
          in: query
          name: effective_date
          required: false
          schema:
            type: string
        - description: The max size of each page of results
          in: query
          name: page_size
          required: false
          schema:
            type: integer
        - description: >-
            The integer offset at which to start the page. Possible values are 0
            to total_records - 1
          in: query
          name: offset
          required: false
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              example:
                meta:
                  offset: 0
                  page_num: 1
                  page_size: 20
                  total_records: 2
                response:
                  - carrier_id: d0003042-eaae-4491-b219-4825456a3d16
                    cobra_rules:
                      eligible: false
                    code: D1
                    created: 1554175253
                    effective_end_date: '9999-12-31'
                    effective_start_date: '2020-01-01'
                    eligible_member_types:
                      - employee
                    group_enrollment_id: 31559b4b-e45a-4df8-84f6-2220d7ed0c3a
                    id: 5ba915fc-afe8-4572-a60f-61ee5883e100
                    line_of_coverage: dental
                    modified: 1554175253
                    name: Dental - Employee
                    network: Dental PPO Network
                    plan_type: ppo
                    status: active
                    termination_policy: end_of_month
                    version: 1bf06a82-8d81-4849-91d3-47c60fdce605
                    voluntary: false
                    waiting_periods:
                      - waiting_period_enrollment_type: new_member
                        waiting_period_rule: hire_date
                      - waiting_period_amount: 0
                        waiting_period_enrollment_type: current_member
                        waiting_period_rule: after_waiting_period
                        waiting_period_unit: day
                  - carrier_id: d0003042-eaae-4491-b219-4825456a3d16
                    cobra_rules:
                      eligible: false
                    code: D1
                    created: 1554175253
                    effective_end_date: '9999-12-31'
                    effective_start_date: '2020-01-01'
                    eligible_member_types:
                      - spouse
                      - child
                    group_enrollment_id: 31559b4b-e45a-4df8-84f6-2220d7ed0c3a
                    id: c1279c1c-ed61-439b-bd9c-07f3228c09cb
                    line_of_coverage: dental
                    modified: 1554175253
                    name: Dental - Dependent
                    network: Dental PPO Network
                    plan_type: ppo
                    status: active
                    termination_policy: end_of_month
                    version: a6404fb2-f266-45b0-a6b7-84b047f017cf
                    voluntary: false
                    waiting_periods:
                      - waiting_period_enrollment_type: new_member
                        waiting_period_rule: hire_date
                      - waiting_period_amount: 0
                        waiting_period_enrollment_type: current_member
                        waiting_period_rule: after_waiting_period
                        waiting_period_unit: day
              schema:
                $ref: '#/components/schemas/PaginatedGroupPlanResult'
          description: Successful Response - Returns all matching Plans
components:
  schemas:
    PaginatedGroupPlanResult:
      properties:
        meta:
          allOf:
            - $ref: '#/components/schemas/Meta'
          description: Metadata associated with the response data
        response:
          description: List of group plan results
          items:
            description: Group plan associated with the group
            readOnly: true
            type: object
          type: array
      required:
        - meta
        - response
      type: object
      x-field_order:
        - meta
        - response
    Meta:
      properties:
        offset:
          description: The offset of the first response record within the matching data set
          format: int32
          minimum: 0
          readOnly: true
          type: integer
        page_num:
          description: >-
            The page number of the response records within the overall data set
            (1-based integer)
          format: int32
          minimum: 1
          readOnly: true
          type: integer
        page_size:
          description: The maximum number of response records on each page of results
          format: int32
          minimum: 1
          readOnly: true
          type: integer
        total_records:
          description: The total number of records in the entire matching data set
          format: int32
          minimum: 0
          readOnly: true
          type: integer
      required:
        - offset
        - page_num
        - page_size
      type: object

````